aboutsummaryrefslogtreecommitdiffstats
path: root/main/libnet
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-29 08:45:29 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-29 08:47:22 +0000
commit8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc (patch)
treee1bdd0bbb491926306c1e43e72dabbbe235f4b62 /main/libnet
parent832a032dd3794c5cc3e67f4ee580e171996e8e29 (diff)
downloadaports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.gz
aports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.bz2
aports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.xz
main/[various]: update config.sub (and remove charset.alias)
for musl build. the changes are automatically done based on previous build log errors, so this does not guarantee successful build, but is a required.
Diffstat (limited to 'main/libnet')
-rw-r--r--main/libnet/APKBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/main/libnet/APKBUILD b/main/libnet/APKBUILD
index 295eaef34c..a07acb8714 100644
--- a/main/libnet/APKBUILD
+++ b/main/libnet/APKBUILD
@@ -12,8 +12,15 @@ makedepends="autoconf automake libtool"
subpackages="$pkgname-dev"
source="http://downloads.sourceforge.net/project/libnet-dev/libnet-$pkgver.tar.gz"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
@@ -24,7 +31,7 @@ build() {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/*.la
}